#
# spec file for package python3-podcastparser
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkgname podcastparser
Name:           python3-%{pkgname}
Version:        0.6.0
Release:        2.5
Summary:        Simple, fast and efficient podcast parser
License:        ISC
Group:          Development/Languages/Python
Url:            http://gpodder.org/%{pkgname}/
Source:         http://gpodder.org/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
BuildRequires:  python3-xml
Requires:       python3-xml
BuildArch:      noarch

%description
The podcast parser project is a library from the gPodder project to provide an
easy and reliable way of parsing RSS- and Atom-based podcast feeds in Python.

%prep
%setup -q -n %{pkgname}-%{version}

%build
python3 setup.py build

%check
python3 test_%{pkgname}.py

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README.md
%{python3_sitelib}/*

%changelog
* Fri Dec 16 2016 fstrba@suse.com
- Initial release of python3-podcastparser 0.6.0
